pkgCacheListParser Class Referenceabstract
Inheritance diagram for pkgCacheListParser:
[legend]

## Public Member Functions

virtual std::string | Package ()=0
virtual bool | ArchitectureAll ()=0
virtual std::string_view | Architecture ()=0
virtual std::string_view | Version ()=0
virtual bool | NewVersion (pkgCache::VerIterator &Ver)=0
virtual std::vector< std::string > | AvailableDescriptionLanguages ()=0
virtual std::string_view | Description_md5 ()=0
virtual uint32_t | VersionHash ()=0
virtual bool | SameVersion (uint32_t Hash, pkgCache::VerIterator const &Ver)
virtual bool | UsePackage (pkgCache::PkgIterator &Pkg, pkgCache::VerIterator &Ver)=0
virtual map_filesize_t | Offset ()=0
virtual map_filesize_t | Size ()=0
virtual bool | Step ()=0
virtual bool | CollectFileProvides (pkgCache &, pkgCache::VerIterator &)

## Protected Member Functions

bool | NewGroup (pkgCache::GrpIterator &Grp, std::string_view Name)
map_stringitem_t | StoreString (pkgCacheGenerator::StringType const type, const char *S, unsigned int Size)
map_stringitem_t | StoreString (pkgCacheGenerator::StringType const type, std::string_view S)
map_stringitem_t | WriteString (std::string_view S)
map_stringitem_t | WriteString (const char *S, unsigned int Size)
bool | NewDepends (pkgCache::VerIterator &Ver, std::string_view Package, std::string_view Arch, std::string_view Version, uint8_t const Op, uint8_t const Type)
bool | NewProvides (pkgCache::VerIterator &Ver, std::string_view PkgName, std::string_view PkgArch, std::string_view Version, uint8_t const Flags)
bool | NewProvidesAllArch (pkgCache::VerIterator &Ver, std::string_view Package, std::string_view Version, uint8_t const Flags)

## Friends

class | pkgCacheGenerator

## Member Function Documentation

## SameVersion()

bool SameVersion | ( | uint32_t | Hash,
|  | pkgCache::VerIterator const & | Ver )

virtual

compare currently parsed version with given version

Parameters

  Hash | of the currently parsed version
  Ver | to compare with

Reimplemented in debListParser.

Referenced by debListParser::SameVersion().

The documentation for this class was generated from the following files:

- apt-pkg/pkgcachegen.h
- apt-pkg/pkgcachegen.cc